> For the complete documentation index, see [llms.txt](https://docs.platform9.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform9.com/api-docs/block-storage-service/manageable-volumes.md).

# Manageable Volumes

Volume manage extension

## List manageable volumes

> Lists all manageable volumes

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"manageable-volumes","description":"Volume manage extension"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"parameters":{"SortQuery":{"name":"sort","description":"Comma-separated list of sort keys and optional sort directions","schema":{"type":"string"},"in":"query"},"SortKeyQuery":{"name":"sort_key","description":"Sorts by an attribute","schema":{"type":"string"},"in":"query"},"SortDirQuery":{"name":"sort_dir","description":"Sorts by direction (asc or desc)","schema":{"enum":["asc","desc"],"type":"string"},"in":"query"},"LimitQuery":{"name":"limit","description":"Requests a page size of items","schema":{"minimum":1,"type":"integer"},"in":"query"},"OffsetQuery":{"name":"offset","description":"Used in conjunction with limit to return items starting from the offset position","schema":{"minimum":0,"type":"integer"},"in":"query"},"MarkerQuery":{"name":"marker","description":"The ID of the last-seen item","schema":{"type":"string"},"in":"query"}},"schemas":{"ManageableVolumes":{"type":"object","properties":{"manageable-volumes":{"type":"array","items":{"$ref":"#/components/schemas/ManageableVolumeSimple"}}}},"ManageableVolumeSimple":{"type":"object","properties":{"reference":{"description":"Driver-specific reference object","type":"object"},"size":{"description":"Size of the volume in GB","type":"integer"},"safe_to_manage":{"description":"Whether the volume is safe to manage","type":"boolean"},"reason_not_safe":{"nullable":true,"description":"Reason why volume is not safe to manage","type":"string"},"cinder_id":{"nullable":true,"format":"uuid","description":"Cinder volume UUID if already managed","type":"string"},"extra_info":{"nullable":true,"description":"Additional information","type":"string"}}}}},"paths":{"/v3/manageable_volumes":{"get":{"tags":["manageable-volumes"],"parameters":[{"name":"host","description":"The host name","schema":{"type":"string"},"in":"query","required":true},{"name":"cluster","description":"The cluster name","schema":{"type":"string"},"in":"query"},{"$ref":"#/components/parameters/SortQuery"},{"$ref":"#/components/parameters/SortKeyQuery"},{"$ref":"#/components/parameters/SortDirQuery"},{"$ref":"#/components/parameters/LimitQuery"},{"$ref":"#/components/parameters/OffsetQuery"},{"$ref":"#/components/parameters/MarkerQuery"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManageableVolumes"}}},"description":"OK"}},"summary":"List manageable volumes","description":"Lists all manageable volumes"}}}}
```

## List manageable volumes with details

> Lists all manageable volumes with details

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"manageable-volumes","description":"Volume manage extension"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"parameters":{"SortQuery":{"name":"sort","description":"Comma-separated list of sort keys and optional sort directions","schema":{"type":"string"},"in":"query"},"SortKeyQuery":{"name":"sort_key","description":"Sorts by an attribute","schema":{"type":"string"},"in":"query"},"SortDirQuery":{"name":"sort_dir","description":"Sorts by direction (asc or desc)","schema":{"enum":["asc","desc"],"type":"string"},"in":"query"},"LimitQuery":{"name":"limit","description":"Requests a page size of items","schema":{"minimum":1,"type":"integer"},"in":"query"},"OffsetQuery":{"name":"offset","description":"Used in conjunction with limit to return items starting from the offset position","schema":{"minimum":0,"type":"integer"},"in":"query"},"MarkerQuery":{"name":"marker","description":"The ID of the last-seen item","schema":{"type":"string"},"in":"query"}},"schemas":{"ManageableVolumesDetail":{"type":"object","properties":{"manageable-volumes":{"type":"array","items":{"$ref":"#/components/schemas/ManageableVolume"}}}},"ManageableVolume":{"type":"object","properties":{"reference":{"description":"Driver-specific reference object","type":"object"},"size":{"description":"Size of the volume in GB","type":"integer"},"safe_to_manage":{"description":"Whether the volume is safe to manage","type":"boolean"},"reason_not_safe":{"nullable":true,"description":"Reason why volume is not safe to manage","type":"string"},"cinder_id":{"nullable":true,"format":"uuid","description":"Cinder volume UUID if already managed","type":"string"},"extra_info":{"nullable":true,"description":"Additional information","type":"string"}}}}},"paths":{"/v3/manageable_volumes/detail":{"get":{"tags":["manageable-volumes"],"parameters":[{"name":"host","description":"The host name","schema":{"type":"string"},"in":"query","required":true},{"name":"cluster","description":"The cluster name","schema":{"type":"string"},"in":"query"},{"$ref":"#/components/parameters/SortQuery"},{"$ref":"#/components/parameters/SortKeyQuery"},{"$ref":"#/components/parameters/SortDirQuery"},{"$ref":"#/components/parameters/LimitQuery"},{"$ref":"#/components/parameters/OffsetQuery"},{"$ref":"#/components/parameters/MarkerQuery"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManageableVolumesDetail"}}},"description":"OK"}},"summary":"List manageable volumes with details","description":"Lists all manageable volumes with details"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform9.com/api-docs/block-storage-service/manageable-volumes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
